/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package tiledownloader;

/**
 *
 * @author Jorgen
 */
public interface FinishedListener
{
    /**
     * Notify that the download has finsished succesfully.  Thread is ready 
     * for a new download.
     * @param id Id of the thread
     */
    public void notifyFinished(int id);
    
    /**
     * Notify that the download failed, even after retries.
     * @param id Id of the failing thread
     * @param request Request that failed
     */
    public void notifyFailed(int id, DownloadRequest request);
}
